Loading...
Searching...
No Matches
Hamlib internals

## Macros

#define | ERROR_TBL_SZ (sizeof(rigerror_table)/sizeof(char *))
| Convenience macro calculating rigerror_table size.

## Functions

int | check_level_param (RIG *rig, setting_t level, value_t val, gran_t **gran)
| Check the input to rig_set_level.
const char * | hl_stars (int len)
| Get a string of stars for indenting messages.
void | add2debugmsgsave (const char *s)
| Handle stack trace messages.

## Detailed Description

## Macro Definition Documentation

## ERROR_TBL_SZ

#define ERROR_TBL_SZ (sizeof(rigerror_table)/sizeof(char *))

Convenience macro calculating rigerror_table size.

Used to ensure access beyond the end of rigerror_table does not occur.

## Function Documentation

## add2debugmsgsave()

void add2debugmsgsave | ( | const char * | s | ) |

Handle stack trace messages.

Maintains an array of debug messages to build a stack trace of up to 20 lines.

See also
  rigerror()

Here is the call graph for this function:

## check_level_param()

int check_level_param | ( | RIG * | rig,
|  | setting_t | level,
|  | value_t | val,
|  | gran_t ** | gran )

Check the input to rig_set_level.

Parameters

  | rig | The rig handle
  | level | RIG_LEVEL_* trying to set
  | val | Raw input from the caller
  [out] | gran | If not NULL, set to location of level_gran data

Returns
  RIG_OK if value is in range for this level, -RIG_EINVAL if not

Here is the call graph for this function:

## hl_stars()

const char * hl_stars | ( | int | len | ) |

Get a string of stars for indenting messages.

Parameters

  len | number of stars (sounds kinda like a rating)

Returns
  pointer to an appropriate string